Skip to main content
GET
/
transactions
/
{transaction_id}
/
settlements
C#
using Gr4vy;
using Gr4vy.Models.Components;

var sdk = new Gr4vySDK(
    id: "example",
    server: SDKConfig.Server.Sandbox,
    bearerAuthSource: Auth.WithToken(privateKey),
    merchantAccountId: "default"
);

var res = await sdk.Transactions.Settlements.ListAsync(transactionId: "7099948d-7286-47e4-aad8-b68f7eb44591");

// handle response
package main

import(
"context"
"os"
gr4vygo "github.com/gr4vy/gr4vy-go"
"log"
)

func main() {
ctx := context.Background()

s := gr4vy.New(
gr4vy.WithID("example"),
gr4vy.WithServer(gr4vy.ServerSandbox),
gr4vy.WithSecuritySource(withToken),
gr4vy.WithMerchantAccountID("default"),
)

res, err := s.Transactions.Settlements.List(ctx, "7099948d-7286-47e4-aad8-b68f7eb44591")
if err != nil {
log.Fatal(err)
}
if res != nil {
// handle response
}
}
package hello.world;

import com.gr4vy.sdk.Gr4vy;
import com.gr4vy.sdk.models.errors.*;
import com.gr4vy.sdk.models.operations.ListTransactionSettlementsResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Gr4vy sdk = Gr4vy.builder()
.id("example")
.server(AvailableServers.SANDBOX)
.merchantAccountId("default")
.securitySource(new BearerSecuritySource.Builder(privateKey).build())
.build();

ListTransactionSettlementsResponse res = sdk.transactions().settlements().list()
.transactionId("7099948d-7286-47e4-aad8-b68f7eb44591")
.call();

if (res.settlements().isPresent()) {
System.out.println(res.settlements().get());
}
}
}
declare(strict_types=1);

require 'vendor/autoload.php';

use Gr4vy;

$sdk = Gr4vy\SDK::builder()
->setId('example')
->setServer('sandbox')
->setSecuritySource(Auth::withToken($privateKey))
->setMerchantAccountId('default')
->build();



$response = $sdk->transactions->settlements->list(
transactionId: '7099948d-7286-47e4-aad8-b68f7eb44591'
);

if ($response->settlements !== null) {
// handle response
}
from gr4vy import Gr4vy
import os


with Gr4vy(
id="example",
server="sandbox",
merchant_account_id="default",
bearer_auth=auth.with_token(open("./private_key.pem").read())
) as g_client:

res = g_client.transactions.settlements.list(transaction_id="7099948d-7286-47e4-aad8-b68f7eb44591")

# Handle response
print(res)
import { Gr4vy, withToken } from "@gr4vy/sdk";
import fs from "fs";

const gr4vy = new Gr4vy({
id: "example",
server: "sandbox",
merchantAccountId: "default",
bearerAuth: withToken({
privateKey: fs.readFileSync("private_key.pem", "utf8"),
}),
});

async function run() {
const result = await gr4vy.transactions.settlements.list("7099948d-7286-47e4-aad8-b68f7eb44591");

console.log(result);
}

run();
curl --request GET \
--url https://api.sandbox.{id}.gr4vy.app/transactions/{transaction_id}/settlements \
--header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "merchant_account_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "posted_at": "2023-11-07T05:31:56Z",
      "ingested_at": "2023-11-07T05:31:56Z",
      "currency": "<string>",
      "amount": 123,
      "commission": 123,
      "payment_service_report_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "payment_service_report_file_ids": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "exchange_rate": 1,
      "interchange": 50,
      "markup": 10,
      "scheme_fee": 5,
      "type": "settlement"
    }
  ]
}
{
"type": "error",
"code": "bad_request",
"status": 400,
"message": "Generic error",
"details": []
}
{
"type": "error",
"code": "unauthorized",
"status": 401,
"message": "No valid API authentication found",
"details": []
}
{
"type": "error",
"code": "forbidden",
"status": 403,
"message": "Generic error",
"details": []
}
{
"type": "error",
"code": "not_found",
"status": 404,
"message": "The resource could not be found",
"details": []
}
{
"type": "error",
"code": "method_not_allowed",
"status": 405,
"message": "Method Not Allowed",
"details": []
}
{
"type": "error",
"code": "duplicate_record",
"status": 409,
"message": "Generic error",
"details": [],
"resource_id": "cdc70639-cb9c-4222-a73f-b8ce39f7821b"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
{
"type": "error",
"code": "too_early",
"status": 425,
"message": "Generic error",
"details": []
}
{
"type": "error",
"code": "too_many_requests",
"status": 429,
"message": "Generic error",
"details": []
}
{
"type": "error",
"code": "server_error",
"status": 500,
"message": "Request could not be processed",
"details": []
}
{
"type": "error",
"code": "bad_gateway",
"status": 502,
"message": "Request could not be processed",
"details": []
}
{
"type": "error",
"code": "gateway_timeout",
"status": 504,
"message": "Request could not be processed",
"details": []
}
This endpoint requires the transactions.read scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-gr4vy-merchant-account-id
string

The ID of the merchant account to use for this request.

Example:

"default"

Path Parameters

transaction_id
string<uuid>
required

The unique identifier of the transaction.

Example:

"7099948d-7286-47e4-aad8-b68f7eb44591"

Response

Successful Response

A list of settlement records for a transaction.

items
Settlement · object[]
required

The list of settlement objects.